OnDiskIndex.DataLevel (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.DataLevel

- java.lang.Object
- - org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level<OnDiskIndex.DataBlock>
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.DataLevel

- Enclosing class:
    OnDiskIndex

      protected class OnDiskIndex.DataLevel
      extends OnDiskIndex.Level<OnDiskIndex.DataBlock>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `superBlockCnt`
    `protected long` | `superBlocksOffset`

    - ### Fields inherited from class org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level

      `blockCount, blockOffsets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataLevel(long offset, int count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected OnDiskIndex.DataBlock` | `cast(MappedBuffer block)`
    `OnDiskIndex.OnDiskSuperBlock` | `getSuperBlock(int idx)`

    - ### Methods inherited from class org.apache.cassandra.index.sasi.disk.OnDiskIndex.Level

      `getBlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### superBlockCnt

          protected final int superBlockCnt

    - #### superBlocksOffset

          protected final long superBlocksOffset

  - ### Constructor Detail

    - #### DataLevel

          public DataLevel(long offset,
                           int count)

  - ### Method Detail

    - #### cast

          protected OnDiskIndex.DataBlock cast(MappedBuffer block)

      Specified by:
        `cast` in class `OnDiskIndex.Level<OnDiskIndex.DataBlock>`

    - #### getSuperBlock

          public OnDiskIndex.OnDiskSuperBlock getSuperBlock(int idx)

Copyright © 2018 The Apache Software Foundation